#------------------------------------------------------------------------------
#  Copyright (c) 2006 Xilinx, Inc.
#  This design is confidential and proprietary of Xilinx, All Rights Reserved.
#------------------------------------------------------------------------------
#    ____  ____
#   /   /\/   /
#  /___/  \  /   Vendor: Xilinx
#  \   \   \/    Version: 0.0.2
#   \   \        Filename: smt.pig
#   /   /        Date Last Modified: Wed Sep 13 2006
#  /___/   /\    Date Created: Wed Sep 13 2006
#  \   \  /  \
#   \___\/\___\
#  
# Device: Virtex-4
# Purpose: Defines isolation groups for pins for red black isolation
#     in the Super McThousand design. Supplied to the Isolation
#     Verification Tool (ivt) so that ivt can verify pin-related
#     requirements.
# Note: only the net names are significant. All the rest is ignored.
#     This was done to make it easy to copy and paste from the UCF
#     file. However, if there is a possibility of confusion, removing
#     other information, such as the LOC constraints, may be advisable.
# Revision History:
#     Rev 0.1 - First created, kweidele@xilinx.com, Mon Sep 11 2006.
#     Rev 0.2 - Added Xilinx standard comment block, changed names,
#     removed inaccurate comments, cleaned up formatting,
#     jcorbett@xilinx.com, Wed Sep 13 2006.
#------------------------------------------------------------------------------

ISOLATION_GROUP Black_Switch BEGIN 
    NET "B_CLK"          LOC = "M21";

    NET "B_RST_N"        LOC = "J10";

    NET "B_TRSEL<2>"     LOC = "C10";
    NET "B_TRSEL<1>"     LOC = "D10";
    NET "B_TRSEL<0>"     LOC = "H10";

    NET "B_REG_DOUT<63>" LOC = "H33";
    NET "B_REG_DOUT<62>" LOC = "K11";
    NET "B_REG_DOUT<61>" LOC = "F10";
    NET "B_REG_DOUT<60>" LOC = "G10";
    NET "B_REG_DOUT<59>" LOC = "F11";
    NET "B_REG_DOUT<58>" LOC = "G11";
    NET "B_REG_DOUT<57>" LOC = "H9";
    NET "B_REG_DOUT<56>" LOC = "J9";
    NET "B_REG_DOUT<55>" LOC = "D11";
    NET "B_REG_DOUT<54>" LOC = "E11";
    NET "B_REG_DOUT<53>" LOC = "E9";
    NET "B_REG_DOUT<52>" LOC = "AN37";
END ISOLATION_GROUP

ISOLATION_GROUP Red_Cypher BEGIN
    NET "R_CLK"          LOC = "J20";    # global clock

    NET "R_RST_N"        LOC = "C23";

    NET "R_TRSEL<2>"     LOC = "G31";
    NET "R_TRSEL<1>"     LOC = "F31";
    NET "R_TRSEL<0>"     LOC = "D26";

    NET "R_REG_DOUT<31>" LOC = "E26";
    NET "R_REG_DOUT<30>" LOC = "F24";
    NET "R_REG_DOUT<29>" LOC = "C33";
    NET "R_REG_DOUT<28>" LOC = "P30";
    NET "R_REG_DOUT<27>" LOC = "G33";
    NET "R_REG_DOUT<26>" LOC = "Y31";
    NET "R_REG_DOUT<25>" LOC = "Y29";
    NET "R_REG_DOUT<24>" LOC = "AE33";
    NET "R_REG_DOUT<23>" LOC = "AL34";
    NET "R_REG_DOUT<22>" LOC = "AT26";
    NET "R_REG_DOUT<21>" LOC = "AU26";
    NET "R_REG_DOUT<20>" LOC = "AM37";
    NET "R_REG_DOUT<19>" LOC = "AN37";
END ISOLATION_GROUP

# End of File
